export PATH		:=	/c/devkitARM/bin:/bin:/c/bin

PREFIX			:=	arm-agb-elf-
export CC		:=	$(PREFIX)gcc
export CXX		:=	$(PREFIX)g++
export AR		:=	$(PREFIX)ar
export OBJCOPY	:=	$(PREFIX)objcopy

CRT	:=	gp32_crt0

all:
	$(CC)  -marm -c $(CRT).s -o$(CRT).o
	$(CC)  -marm -mthumb-interwork -c $(CRT).s -o interwork/$(CRT).o
	$(CC)  -mthumb -c $(CRT).s -o thumb/$(CRT).o
	$(CC)  -mthumb -mthumb-interwork -c $(CRT).s -o thumb/interwork/$(CRT).o
